.animating {
    -webkit-animation: bounce;
            animation: bounce;
    -webkit-animation-duration: 2s;
            animation-duration: 2s;
}

.animation {
    max-width: 420px;
    width: 100%;
    height: 110px;
    padding: 5px 0px 5px 0px;
    margin-top: 80px;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

.circle.circle_animate {
    -webkit-animation: circle_grow_move;
            animation: circle_grow_move;
    -webkit-animation-duration: 4.5s;
            animation-duration: 4.5s;
    transform-origin: center;
}
.circle.circle_animate::before {
    -webkit-animation: scale_circle_1;
            animation: scale_circle_1;
    -webkit-animation-duration: 4.5s;
            animation-duration: 4.5s;
    transform-origin: center;
    -webkit-animation-iteration-count: 2;
            animation-iteration-count: 2;
}
.circle.circle_animate::after {
    -webkit-animation: scale_circle_1;
            animation: scale_circle_1;
    -webkit-animation-duration: 4.5s;
            animation-duration: 4.5s;
    -webkit-animation-delay: 0.1s;
            animation-delay: 0.1s;
    transform-origin: center;
}
.circle.circle_animate .trophy_animate {
    -webkit-animation: trophy_animate_opacity;
            animation: trophy_animate_opacity;
    -webkit-animation-duration: 4.5s;
            animation-duration: 4.5s;
}
.circle.circle_animate .xbox_img {
    -webkit-animation: xbox_animate_opacity;
            animation: xbox_animate_opacity;
    -webkit-animation-duration: 4.5s;
            animation-duration: 4.5s;
}

.circle {
    top: -72px;
    width: 75px;
    height: 75px;
    /* bottom: 15px; */
    opacity: 0;
    border-radius: 100%;
    background: #57a922;
    position: absolute;
    display: flex;
    overflow: hidden;
    z-index: 4;
    left: 50%;
    margin-left: -37.5px;
}
.circle::before {
    content: "";
    opacity: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: #57a922;
    position: absolute;
    margin: 0 auto;
    top: 0;
    left: 0;
    border-radius: 100%;
    display: block;
}
.circle::after {
    content: "";
    opacity: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: #57a922;
    position: absolute;
    margin: 0 auto;
    top: 0;
    left: 0;
    border-radius: 100%;
    display: block;
}
.circle .img {
    height: 50%;
    left: 25%;
    top: 25%;
    position: absolute;
    z-index: 100;
}
.circle .img img {
    height: 100%;
    position: absolute;
}
.circle .trophy_1 {
    -webkit-animation: rotate;
            animation: rotate;
    -webkit-animation-duration: 6s;
            animation-duration: 6s;
    -webkit-animation-iteration-count: infinite;
            animation-iteration-count: infinite;
}

.achieve_disp_animate {
    -webkit-animation: textSlide;
            animation: textSlide;
    -webkit-animation-duration: 4.5s;
            animation-duration: 4.5s;
}

.banner {
    height: 75px;
    position: relative;
    left: 0;
    opacity: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    right: 0;
    margin: 0 auto;
    background: #107d10;
    top: 10px;
    overflow: hidden;
    border-radius: 75px;
}

.banner-outer {
    display: flex;
    align-items: center;
    align-content: center;
    width: 100%;
    top: -100%;
    position: relative;
}

.banner.banner-animate {
    -webkit-animation: banner-animate;
            animation: banner-animate;
    -webkit-animation-duration: 4.5s;
            animation-duration: 4.5s;
}

.achieve_name::before,
.achieve_score::before {
    display: none !important;
    opacity: 0;
    content: "";
}

.achieve_name::after,
.achieve_score::after {
    display: none;
    content: "";
}

.achieve_disp {
    display: flex;
    flex-direction: column;
    width: 90%;
    justify-content: center;
    margin-left: 130px;
    height: 100%;
    transform: translateY(200px);
    /* margin-top: 51%; */
}
/* .achieve_disp * {
    margin-bottom: 5px;
} */
.achieve_disp span {
    opacity: 1 !important;
}
.achieve_disp .score_disp {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}
.achieve_disp .achiev_name {
    border: none;
    outline: none;
    background: none;
    font-size: 4.5vw;
    color: white;
    margin-left: 5px;
}

.unlocked {
    width: 100%;
    color: white;
    font-weight: 400;
}

.gamerscore {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 5px;
    height: 40%
}
.gamerscore .acheive_score {
    margin-left: 5px;
    margin-right: 5px;
    background: none;
    outline: none;
    border: none;
    color: white;
    overflow: visible;

    font-size: 4.5vw;
}

/* Tablet Screen Query */
@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .title {
        font-size: 30pt;
    }
    .content {
        width: 70%;
    }
    .inputs {
        flex-direction: column;
        -ms-flex-align: center;
        -ms-grid-row-align: center;
        align-items: center;
    }
    .inputs .input {
        width: 100%;
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .inputs .input::after {
        width: 100%;
    }
    .inputs .input input {
        padding-bottom: 2px;
        width: 100%;
    }
    .input-complete::before {
        width: 100% !important;
    }
    .input-focussed::before {
        width: 100% !important;
    }
    .pop {
        margin-top: 30px;
    }
    .animation {
        width: 70%;
    }
    .unlocked {
        margin-bottom: 20px;
    }
    /* .acheive_score {
        width: 80px !important;
    } */
}

/* Mobile Screen Query */
@media only screen and (max-width: 767px) {
    .title {
        font-size: 25pt;
    }
    .content {
        width: 70%;
    }
    .inputs {
        flex-direction: column;
        -ms-flex-align: center;
        -ms-grid-row-align: center;
        align-items: center;
    }
    .inputs .input {
        width: 100%;
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .inputs .input::after {
        width: 100%;
    }
    .inputs .input input {
        padding-bottom: 2px;
        width: 100%;
        font-size: 12pt;
    }
    .inputs .input input::-webkit-input-placeholder {
        font-size: 12pt;
    }
    .inputs .input input::-moz-placeholder {
        font-size: 12pt;
    }
    .inputs .input input:-ms-input-placeholder {
        font-size: 12pt;
    }
    .inputs .input input::-ms-input-placeholder {
        font-size: 12pt;
    }
    .inputs .input input::placeholder {
        font-size: 12pt;
    }
    .input-complete::before {
        width: 100% !important;
    }
    .input-focussed::before {
        width: 100% !important;
    }
    .pop {
        margin-top: 30px;
    }
    .animation {
        width: 120%;
    }
    .unlocked {
        margin-bottom: 20px;
    }
    /* .acheive_score {
        width: 80px !important;
    } */
}

/* Laptop Screen Query */
@media only screen and (min-width: 1030px) and (max-width: 1600px) {
    .title {
        font-size: 50pt;
    }
    .content {
        width: 70%;
    }
    .inputs {
        flex-wrap: wrap;
        justify-content: center;
    }
    .inputs .input {
        width: 45%;
        padding-top: 10px;
        padding-bottom: 10px;
        margin: 0;
    }
    .inputs .input::after {
        width: 80%;
    }
    .inputs .input input {
        padding-bottom: 2px;
        width: 100%;
        font-size: 20pt;
    }
    .inputs .input input::-webkit-input-placeholder {
        font-size: 20pt;
    }
    .inputs .input input::-moz-placeholder {
        font-size: 20pt;
    }
    .inputs .input input:-ms-input-placeholder {
        font-size: 20pt;
    }
    .inputs .input input::-ms-input-placeholder {
        font-size: 20pt;
    }
    .inputs .input input::placeholder {
        font-size: 20pt;
    }
    .input-complete::before {
        width: 80% !important;
    }
    .input-focussed::before {
        width: 80% !important;
    }
    .pop {
        margin-top: 30px;
    }
    .animation {
        width: 40%;
    }
}

@media only screen and (max-width: 380px) {

    .banner, .circle {height: 60px;}

    .circle {width: 60px; top: -65px;}

    .achieve_disp {margin-left: 115px;}

}


@media only screen and (max-width: 340px) {

    .achieve_disp {margin-left: 105px;}

}



/* keyframes */
@-webkit-keyframes bounce {
    8% {
        transform: translateY(-10px);
    }
    10% {
        transform: translateY(0px);
    }
    15% {
        transform: translateY(-8px);
    }
    19% {
        transform: translateY(0px);
    }
    21% {
        transform: translateY(-4px);
    }
    24% {
        transform: translateY(0px);
    }
    26% {
        transform: translateY(-1px);
    }
    27% {
        transform: translateY(0px);
    }
}
@keyframes bounce {
    8% {
        transform: translateY(-10px);
    }
    10% {
        transform: translateY(0px);
    }
    15% {
        transform: translateY(-8px);
    }
    19% {
        transform: translateY(0px);
    }
    21% {
        transform: translateY(-4px);
    }
    24% {
        transform: translateY(0px);
    }
    26% {
        transform: translateY(-1px);
    }
    27% {
        transform: translateY(0px);
    }
}

@-webkit-keyframes rotate {
    0% {
        transform: rotateY(0deg);
    }
    50% {
        transform: rotateY(360deg);
    }
    100% {
        transform: rotateY(0deg);
    }
}

@keyframes rotate {
    0% {
        transform: rotateY(0deg);
    }
    50% {
        transform: rotateY(360deg);
    }
    100% {
        transform: rotateY(0deg);
    }
}

@-webkit-keyframes scale_circle_1 {
    0% {
        transform: scale(0.1);
    }
    2% {
        opacity: 1;
    }
    5% {
        transform: scale(1);
        opacity: 0.8;
    }
    6% {
        opacity: 0;
    }
    9% {
        opacity: 0;
    }
    10% {
        transform: scale(1);
        opacity: 0;
    }
    90% {
        transform: scale(0.1);
    }
    92% {
        opacity: 1;
    }
    95% {
        transform: scale(1);
        opacity: 0.8;
    }
    96% {
        opacity: 0;
    }
    99% {
        opacity: 0;
    }
    100% {
        transform: scale(1);
        opacity: 0;
    }
}

@keyframes scale_circle_1 {
    0% {
        transform: scale(0.1);
    }
    2% {
        opacity: 1;
    }
    5% {
        transform: scale(1);
        opacity: 0.8;
    }
    6% {
        opacity: 0;
    }
    9% {
        opacity: 0;
    }
    10% {
        transform: scale(1);
        opacity: 0;
    }
    90% {
        transform: scale(0.1);
    }
    92% {
        opacity: 1;
    }
    95% {
        transform: scale(1);
        opacity: 0.8;
    }
    96% {
        opacity: 0;
    }
    99% {
        opacity: 0;
    }
    100% {
        transform: scale(1);
        opacity: 0;
    }
}

@-webkit-keyframes circle_grow_move {
    1% {
        opacity: 0;
        transform: scale(0.1);
    }
    4% {
        transform: scale(1.1);
    }
    5% {
        transform: scale(1);
        opacity: 1;
    }
    11% {
        left: 50%;
        margin-left: -37.5px;
        background-color: #57a922;
    }
    24% {
        margin-left: 0;
        left: 0%;
        background-color: #57a922;
    }
    85% {
        margin-left: 0;
        left: 0%;
        background-color: #57a922;
    }
    89% {
        margin-left: -37.5px;
        left: 50%;
        background-color: #57a922;
    }
    94% {
        transform: scale(1);
    }
    96% {
        transform: scale(1.1);
    }
    98% {
        transform: scale(0.1);
        opacity: 1;
    }
    99% {
        opacity: 0;
    }
    100% {
        transform: scale(0.1);
    }
}

@keyframes circle_grow_move {
    1% {
        opacity: 0;
        transform: scale(0.1);
    }
    4% {
        transform: scale(1.1);
    }
    5% {
        transform: scale(1);
        opacity: 1;
    }
    11% {
        left: 50%;
        margin-left: -37.5px;
        background-color: #57a922;
    }
    24% {
        margin-left: 0;
        left: 0%;
        background-color: #57a922;
    }
    85% {
        margin-left: 0;
        left: 0%;
        background-color: #57a922;
    }
    89% {
        margin-left: -37.5px;
        left: 50%;
        background-color: #57a922;
    }
    94% {
        transform: scale(1);
    }
    96% {
        transform: scale(1.1);
    }
    98% {
        transform: scale(0.1);
        opacity: 1;
    }
    99% {
        opacity: 0;
    }
    100% {
        transform: scale(0.1);
    }
}

@-webkit-keyframes trophy_animate_opacity {
    0% {
        opacity: 0;
    }
    20% {
        opacity: 0;
    }
    24% {
        opacity: 1;
    }
    90% {
        opacity: 1;
    }
    95% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

@keyframes trophy_animate_opacity {
    0% {
        opacity: 0;
    }
    20% {
        opacity: 0;
    }
    24% {
        opacity: 1;
    }
    90% {
        opacity: 1;
    }
    95% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

@-webkit-keyframes xbox_animate_opacity {
    0% {
        opacity: 1;
    }
    19% {
        opacity: 1;
    }
    23% {
        opacity: 0;
    }
    90% {
        opacity: 0;
    }
    95% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}

@keyframes xbox_animate_opacity {
    0% {
        opacity: 1;
    }
    19% {
        opacity: 1;
    }
    23% {
        opacity: 0;
    }
    90% {
        opacity: 0;
    }
    95% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}

@-webkit-keyframes banner-animate {
    0% {
        width: 75px;
        opacity: 0;
    }
    2% {
        opacity: 0;
    }
    4% {
        opacity: 1;
    }
    11% {
        width: 75px;
    }
    24% {
        width: 100%;
    }
    85% {
        width: 100%;
    }
    89% {
        width: 75px;
        opacity: 1;
    }
    90% {
        opacity: 0;
    }
}

@keyframes banner-animate {
    0% {
        width: 75px;
        opacity: 0;
    }
    2% {
        opacity: 0;
    }
    4% {
        opacity: 1;
    }
    11% {
        width: 75px;
    }
    24% {
        width: 100%;
    }
    85% {
        width: 100%;
    }
    89% {
        width: 75px;
        opacity: 1;
    }
    90% {
        opacity: 0;
    }
}

@-webkit-keyframes textSlide {
    0% {
        transform: translateY(100px);
        opacity: 0;
    }
    20% {
        transform: translateY(100px);
        opacity: 0;
    }
    25% {
        transform: translateY(0px);
        opacity: 1;
    }
    79% {
        transform: translateY(0px);
        opacity: 1;
    }
    84% {
        transform: translateY(0px);
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

@keyframes textSlide {
    0% {
        transform: translateY(100px);
        opacity: 0;
    }
    20% {
        transform: translateY(100px);
        opacity: 0;
    }
    25% {
        transform: translateY(0px);
        opacity: 1;
    }
    79% {
        transform: translateY(0px);
        opacity: 1;
    }
    84% {
        transform: translateY(0px);
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

.achievement-unlocked {display: none;
    position: absolute;
    width: 90%;
    left: 5%;
  top: 69px;
  justify-content: flex-start;



z-index: 999999;}

@media only screen and (min-width: 500px) {

    .achievement-unlocked {left: 50%; margin-left: -210px; top: 90px;}

    .gamerscore .acheive_score { font-size: 20px;}

    .achieve_disp .achiev_name {

        font-size: 21px; }

}